Subject: bug#60376: 29.0.60; Standardize csharp-ts-mode's font-lock features

From: Theodor Thornhill <[email-masked]>
Date: Sat, 31 Dec 2022 11:32:54 +0100

On 31 December 2022 10:53:54 CET, "Jostein Kjønigsen" <[email-masked]> wrote:
>On 30.12.2022 20:30, Theodor Thornhill wrote:
>> Jostein Kjønigsen <[email-masked]> writes:
>> 
>>>> On 30 Dec 2022, at 16:46, Eli Zaretskii <[email-masked]> wrote:
>>>> 
>>>> 
>>>>> Date: Fri, 30 Dec 2022 15:39:20 +0100
>>>>> Cc: [email-masked], [email-masked], [email-masked]
>>>>> From: Jostein Kjønigsen <[email-masked]>
>>>>> 
>>>>> To be clear: I think csharp-ts-mode works well beyond 85% (it's what I
>>>>> use as my daily driver), but the syntax-highlighting at level 3 may be
>>>>> more excessive than some people (like Stefan) prefer.
>>>>> 
>>>>> If we instead for these "major" changes suggested by Yuan, instead aim
>>>>> for just moving some "smaller" implementation-detail
>>>>> (function-invocations and property-highlighting) to level 4, I think we
>>>>> she be able to get something which is mostly what Stefan would expect
>>>>> and prefer, and it would be a much smaller change.
>>>>> 
>>>>> Then we can take a look at those bigger changes (standardized features,
>>>>> enabling/disabling them individually, as end-users, etc) for Emacs-30.
>>>>> 
>>>>> I think that's a more realistic plan. Does that sound OK?
>>>> Yes, it does.  And I urge you to submit patches to that effect.
>>>> 
>>>> Thanks.
>>> Theo has offered to come up with some patches and I’ll do my best to battle-test them.
>>> 
>>> Hopefully we can get this done quickly enough to suit your taste ;)
>>> 
>> Let's start here!
>> 
>> If you're satisfied, Jostein, report back, then you install, Yuan?
>> 
>> Then rinse repeat :-)
>> 
>> Theo
>
>I've tested it, and I can't say I see any regressions.
>
>Two things though:
>
>- Method-invocations are still getting fontified on level 3. I believe Stefan wanted this to be on level 4?
>
>- I see we've missed fontification of method-invocations on self-methods (this.DoSomething()) entirely.
>
>If we fix the first thing, I guess the second one is also doable? :)
>
>--
>Jostein
>

Great! Yuan or Eli, will you install? I'll follow up with more stuff later :)

Theo